<!doctype html>

<head>
    <!-- Google Fonts -->
    <link rel="stylesheet" href="{{ url_for('static', filename='font.css') }}">
    <!-- CSS Reset -->
    <link rel="stylesheet" href="{{ url_for('static', filename='normalize.css') }}">
    <!-- Milligram CSS -->
    <link rel="stylesheet" href="{{ url_for('static', filename='milligram.css') }}">

    <style>
        div.center {
            margin-left: auto;
            margin-right: auto;
        }

        .column {
            align-self: baseline;
        }
    </style>
    <title>HADA (demo)</title>
</head>

<body>
    <div class="container">
        <div class="row">
            <h3>HADA (demo)</h3>
        </div>

        <form action="/vm_gui" method="POST">
            <div class="row">
                <div class="column column-33">
                    <label class="label-inline">Algorithm</label>
                    <select name="algorithm" id="algorithm">
                        {% for algo in algorithms %}
                        <option value="{{algo}}">{{algo}}</option>
                        {% endfor %}
                    </select>

                </div>
                <div class="column column-33">
                    <label class="label-inline">Target</label>
                    <select name="target" id="target">
                        {% for target in targets %}
                        <option value="{{target}}">{{target}}</option>
                        {% endfor %}
                    </select>
                    <label class="label-inline">min</label>
                    <input type="radio" name="objective_type" id="min" value="min" checked />
                    <label class="label-inline">max</label>
                    <input type="radio" name="objective_type" id="max" value="max" />
                    <br />
                </div>

                <div class="column column-33">
                    <label class="label-inline">Robustness factor</label>
                    <input type="text" name="robust_factor" id="robust_factor" placeholder="None">
                </div>
            </div>

            <div class="row">
                <h4>Constraints</h4>
            </div>

            {% for target in targets %}
            <div class="row">
                <div class="column column-10">
                    <label class="label-inline">{{target.capitalize()}}</label>
                </div>
                <div class="column column-10">
                    <select name="constraint_{{target}}_type" id="constraint_{{target}}_type">
                        <option value="leq">&#8804;</option>
                        <option value="eq">=</option>
                        <option value="geq">&#8805;</option>
                    </select>
                </div>
                <div class="column column-80">
                    <input type="text" name="constraint_{{target}}" id="constraint_{{target}}" placeholder="None">
                </div>
                </br>
            </div>
            {% endfor %}

            <div class="row">
                <h4>Prices</h4>
            </div>

            {% for i in range(hws|length) %}
            <div class="row">
                <div class="column column-10">
                    <label class="label-inline">{{hws[i].upper()}}</label><br />
                </div>
                <div class="column column-90">
                    <input type="text" name="price_{{hws[i]}}" id="price_{{hws[i]}}" value="{{hws_prices[i]}}"><br />
                </div>
            </div>
            {% endfor %}

            <div class="row">
                <div class="center">
                    <input class="button" type="submit" id="submit" name="submit" value="Optimize" />
                </div>
            </div>
        </form>

        {% if out is not none %}
        {% if out is mapping %}
        <div class="row">
            <h4>Solution</h4>
        </div>
        <div class="row">
            <div class="center">
                <table>
                    <thead>
                        <tr>
                            {% for k in out.keys() %}
                            <th>{{k}}</th>
                            {% endfor %}
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            {% for v in out.values() %}
                            <td>{{v}}</td>
                            {% endfor %}
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        {% else %}
        <div class="row">
            <h4>{{out}}</h4>
        </div>
        {% endif %}
        {% endif %}
</body>

</html>